:root {
    --rdp-accent-color: #4d21fc;
    /* Default colors for light themes */
    --rdp-accent-color-light: #8567fd;
    --rdp-accent-color-lighter: #beaefe;
    --rdp-accent-color-lightest: #f6f4ff;
    /* Switch to dark colors for dark themes */
    --rdp-accent-color-dark: #3003e1;
    --rdp-accent-color-darker: #2a03c5;
    --rdp-accent-color-darkest: #180270;
    --rdp-cell-size: 40px;
    --rdp-border-focus: 2px solid var(--rdp-accent-color);
  }
  
  .rdp,
  .rdp * {
    box-sizing: border-box;
  }
  
  /** Reset buttons */
  .rdp .rdp-day,
  .rdp .rdp-nav-button {
    appearance: none;
    position: relative;
    margin: 0;
    padding: 0;
    cursor: default;
    color: inherit;
    border: 0;
    background: none;
    font: inherit;
  
    -moz-appearance: none;
    -webkit-appearance: none;
  }
  
  .rdp {
    display: inline-block;
  }
  
  .rdp-months {
    display: flex;
  }
  
  .rdp .rdp-month {
    margin: 0.75em;
  }
  .rdp .rdp-table {
    border-collapse: collapse;
  }
  
  /* ---------- */
  /* Dropdowns  */
  /* ---------- */
  
  .rdp .rdp-dropdown_year,
  .rdp .rdp-dropdown_month {
    position: relative;
    display: inline-flex;
    align-items: center;
  }
  
  .rdp .rdp-dropdown {
    appearance: none;
    position: absolute;
    z-index: 2;
    top: 0;
    bottom: 0;
    left: 0;
    width: inherit;
    width: 100%;
    margin: 0;
    padding: 0;
    cursor: inherit;
    opacity: 0;
    border: none;
    background-color: transparent;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
  }
  
  .rdp .rdp-dropdown[disabled] {
    opacity: unset;
    color: unset;
  }
  
  .rdp .rdp-dropdown option {
    color: currentColor;
    font-size: 1em;
  }
  
  .rdp .rdp-dropdown-label {
    position: relative;
    z-index: 1;
    display: inline-flex;
    align-items: center;
    margin: 0;
    padding: 0 0.2em;
    color: currentColor;
    border: 0;
    font-family: inherit;
    font-size: 140%;
    font-weight: bold;
    border: 2px solid transparent;
  }
  
  .rdp-dropdown:focus + .rdp-dropdown-label {
    border: var(--rdp-border-focus);
    border-radius: 5px;
    background-color: var(--rdp-accent-color-lightest);
  }
  
  .rdp-dropdown-icon {
    margin: 0 0 0 5px;
  }
  
  /* ---------- */
  /* Caption    */
  /* ---------- */
  
  .rdp .rdp-caption {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.25em 0;
    caption-side: top;
    text-align: left;
  }
  .rdp[dir='rtl'] .rdp-caption {
    text-align: right;
  }
  
  .rdp-caption-dropdowns {
    position: relative;
    display: inline-flex;
  }
  
  /* ---------- */
  /* Table      */
  /* ---------- */
  
  .rdp .rdp-head-cell {
    padding: 0.5em;
    text-align: center;
    font-size: 65%;
    font-weight: 700;
    text-transform: uppercase;
  }
  
  .rdp .rdp-row {
    height: 100%;
  }
  
  .rdp .rdp-row-head {
    min-width: 1.25em;
    padding: 0 0.5em;
    text-align: right;
    font-size: 67.5%;
    font-weight: 500;
    font-variant-numeric: tabular-nums;
  }
  
  .rdp .rdp-cell {
    width: var(--rdp-cell-size);
    height: 100%;
    height: var(--rdp-cell-size);
    text-align: center;
  }
  
  /* ----------- */
  /* Day element */
  /* ----------- */
  
  .rdp .rdp-day {
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    width: var(--rdp-cell-size);
    max-width: var(--rdp-cell-size);
    height: var(--rdp-cell-size);
    margin: 0;
    border: 2px solid transparent;
    border-radius: 100%;
    outline: none;
  }
  
  .rdp .rdp-day_interactive:hover,
  .rdp .rdp-day_interactive:focus {
    background-color: var(--rdp-accent-color-lightest);
  }
  
  .rdp .rdp-day:focus {
    border: var(--rdp-border-focus);
  }
  
  /* ----------- */
  /* Modifiers   */
  /* ----------- */
  
  .rdp .rdp-day_interactive {
    cursor: pointer;
  }
  .rdp .rdp-day_disabled,
  .rdp .rdp-day[disabled] {
    opacity: 25%;
  }
  .rdp .rdp-day_outside {
    opacity: 25%;
  }
  .rdp .rdp-day_today {
    font-weight: bold;
  }
  .rdp .rdp-day_selected {
    color: white;
    background-color: var(--rdp-accent-color-light);
  }
  
  .rdp .rdp-day_from {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    background-color: var(--rdp-accent-color-light);
  }
  .rdp .rdp-day_to {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    background-color: var(--rdp-accent-color-light);
  }
  
  .rdp .rdp-day_to.rdp-day_from {
    border-radius: 100%;
  }
  .rdp .rdp-day_between {
    color: inherit;
    border-radius: 0;
    background-color: var(--rdp-accent-color-lightest);
  }
  .rdp .rdp-day.rdp-day_between:hover {
    color: inherit;
    background-color: var(--rdp-accent-color-lighter);
  }
  
  .rdp .rdp-day_selected:hover {
    background-color: var(--rdp-accent-color);
  }
  
  /* ---------- */
  /* Navigation */
  /* ---------- */
  
  .rdp .rdp-nav {
    white-space: nowrap;
  }
  .rdp[dir='rtl'] .rdp-nav {
    /* TODO: invert navigation? */
    /* float: left; */
  }
  .rdp .rdp-nav-button {
    display: inline-flex;
    align-items: center;
    width: var(--rdp-cell-size);
    height: var(--rdp-cell-size);
    padding: 0.25em;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 100%;
    outline: none;
    justify-content: center;
  }
  .rdp .rdp-nav-button:hover:not([disabled]) {
    background-color: var(--rdp-accent-color-lightest);
  }
  .rdp .rdp-nav-button:focus:not([disabled]),
  .rdp .rdp-nav-button:active:not([disabled]) {
    border: 2px solid var(--rdp-accent-color);
    background-color: var(--rdp-accent-color-lightest);
  }
  .rdp .rdp-nav-button[disabled] {
    cursor: default;
    opacity: 0.2;
  }